DOCS
Dashboardnorth_eastGet an API keyvpn_key
PAI Chat·Endpoint
GET/chat/{chatId}/document

Retrieve all documents uploaded to a specific chat session

Retrieve all documents uploaded to a specific chat session

POST/chat/{chatId}/documentarrow_forward
tune
Parameters
chatIdrequiredpath
string (uuid)
The ID of the chat session
double_arrow
Returns 200
documentsrequired
array
List of documents associated with the chat
countrequired
number
Total number of documents
report
Errors
StatusDescription
500Default Response
north_east
Request
curl -X GET 'https://chat-api-dev.paicloud.ai//chat/{chatId}/document' \
  -H 'Authorization: Bearer YOUR_API_TOKEN'
south_west
Response
200 OK
application/json
{
  "documents": [
    {
      "id": "00000000-0000-0000-0000-000000000001",
      "filename": "filename",
      "contentType": "contentType",
      "fileSize": 0,
      "status": "status",
      "processedAt": "2026-01-01T00: 00:00Z",
      "metadata": {},
      "createdAt": "2026-01-01T00: 00:00Z"
    }
  ],
  "count": 0
}